// Actions
export var E1ActionTypes;
(function (E1ActionTypes) {
    E1ActionTypes["CONFIG_REQUEST"] = "CONFIG_REQUEST";
    E1ActionTypes["AUTH_REQUEST"] = "AUTH_REQUEST";
    E1ActionTypes["FORM_REQUEST"] = "FORM_REQUEST";
    E1ActionTypes["DATABROWSER_REQUEST"] = "DATABROWSER_REQUEST";
    E1ActionTypes["BATCHFORM_REQUEST"] = "BATCHFORM_REQUEST";
    E1ActionTypes["MO_REQUEST"] = "MO_REQUEST";
    E1ActionTypes["CONFIG_RESPONSE"] = "CONFIG_RESPONSE";
    E1ActionTypes["AUTH_RESPONSE"] = "AUTH_RESPONSE";
    E1ActionTypes["FORM_RESPONSE"] = "FORM_RESPONSE";
    E1ActionTypes["DATABROWSER_RESPONSE"] = "DATABROWSER_RESPONSE";
    E1ActionTypes["BATCHFORM_RESPONSE"] = "BATCHFORM_RESPONSE";
    E1ActionTypes["MO_RESPONSE"] = "MO_RESPONSE";
    E1ActionTypes["CONFIG_REQUEST_FAIL"] = "CONFIG_REQUEST_FAIL";
    E1ActionTypes["AUTH_REQUEST_FAIL"] = "AUTH_REQUEST_FAIL";
    E1ActionTypes["FORM_REQUEST_FAIL"] = "FORM_REQUEST_FAIL";
    E1ActionTypes["DATABROWSER_REQUEST_FAIL"] = "DATABROWSER_REQUEST_FAIL";
    E1ActionTypes["BATCHFORM_REQUEST_FAIL"] = "BATCHFORM_REQUEST_FAIL";
    E1ActionTypes["MO_REQUEST_FAIL"] = "MO_REQUEST_FAIL";
    E1ActionTypes["CLEAR"] = "SERVER_CLEAR";
    E1ActionTypes["RESET"] = "SERVER_RESET";
})(E1ActionTypes || (E1ActionTypes = {}));
export var E1Actions;
(function (E1Actions) {
    var ConfigRequestAction = /** @class */ (function () {
        function ConfigRequestAction(payload) {
            this.payload = payload;
            this.type = E1ActionTypes.CONFIG_REQUEST;
        }
        return ConfigRequestAction;
    }());
    E1Actions.ConfigRequestAction = ConfigRequestAction;
    var ConfigResponesAction = /** @class */ (function () {
        function ConfigResponesAction(payload) {
            this.payload = payload;
            this.type = E1ActionTypes.CONFIG_RESPONSE;
        }
        return ConfigResponesAction;
    }());
    E1Actions.ConfigResponesAction = ConfigResponesAction;
    var ConfigRequestFailedAction = /** @class */ (function () {
        function ConfigRequestFailedAction(payload) {
            this.payload = payload;
            this.type = E1ActionTypes.CONFIG_REQUEST_FAIL;
        }
        return ConfigRequestFailedAction;
    }());
    E1Actions.ConfigRequestFailedAction = ConfigRequestFailedAction;
    var AuthRequestAction = /** @class */ (function () {
        function AuthRequestAction(payload) {
            this.payload = payload;
            this.type = E1ActionTypes.AUTH_REQUEST;
        }
        return AuthRequestAction;
    }());
    E1Actions.AuthRequestAction = AuthRequestAction;
    var AuthResponseAction = /** @class */ (function () {
        function AuthResponseAction(payload) {
            this.payload = payload;
            this.type = E1ActionTypes.AUTH_RESPONSE;
        }
        return AuthResponseAction;
    }());
    E1Actions.AuthResponseAction = AuthResponseAction;
    var AuthRequestFailedAction = /** @class */ (function () {
        function AuthRequestFailedAction(payload) {
            this.payload = payload;
            this.type = E1ActionTypes.AUTH_REQUEST_FAIL;
        }
        return AuthRequestFailedAction;
    }());
    E1Actions.AuthRequestFailedAction = AuthRequestFailedAction;
    var FormRequestAction = /** @class */ (function () {
        function FormRequestAction(payload) {
            this.payload = payload;
            this.type = E1ActionTypes.FORM_REQUEST;
        }
        return FormRequestAction;
    }());
    E1Actions.FormRequestAction = FormRequestAction;
    var FormResponseAction = /** @class */ (function () {
        function FormResponseAction(payload) {
            this.payload = payload;
            this.type = E1ActionTypes.FORM_RESPONSE;
        }
        return FormResponseAction;
    }());
    E1Actions.FormResponseAction = FormResponseAction;
    var FormRequestFailedAction = /** @class */ (function () {
        function FormRequestFailedAction(payload) {
            this.payload = payload;
            this.type = E1ActionTypes.FORM_REQUEST_FAIL;
        }
        return FormRequestFailedAction;
    }());
    E1Actions.FormRequestFailedAction = FormRequestFailedAction;
    var DatabrowserRequestAction = /** @class */ (function () {
        function DatabrowserRequestAction(payload) {
            this.payload = payload;
            this.type = E1ActionTypes.DATABROWSER_REQUEST;
        }
        return DatabrowserRequestAction;
    }());
    E1Actions.DatabrowserRequestAction = DatabrowserRequestAction;
    var DatabrowserResponseAction = /** @class */ (function () {
        function DatabrowserResponseAction(payload) {
            this.payload = payload;
            this.type = E1ActionTypes.DATABROWSER_RESPONSE;
        }
        return DatabrowserResponseAction;
    }());
    E1Actions.DatabrowserResponseAction = DatabrowserResponseAction;
    var DatabrowserRequestFailedAction = /** @class */ (function () {
        function DatabrowserRequestFailedAction(payload) {
            this.payload = payload;
            this.type = E1ActionTypes.DATABROWSER_REQUEST_FAIL;
        }
        return DatabrowserRequestFailedAction;
    }());
    E1Actions.DatabrowserRequestFailedAction = DatabrowserRequestFailedAction;
    var BatchFormRequestAction = /** @class */ (function () {
        function BatchFormRequestAction(payload) {
            this.payload = payload;
            this.type = E1ActionTypes.BATCHFORM_REQUEST;
        }
        return BatchFormRequestAction;
    }());
    E1Actions.BatchFormRequestAction = BatchFormRequestAction;
    var BatchformResponseAction = /** @class */ (function () {
        function BatchformResponseAction(payload) {
            this.payload = payload;
            this.type = E1ActionTypes.BATCHFORM_RESPONSE;
        }
        return BatchformResponseAction;
    }());
    E1Actions.BatchformResponseAction = BatchformResponseAction;
    var BatchformRequestFailedAction = /** @class */ (function () {
        function BatchformRequestFailedAction(payload) {
            this.payload = payload;
            this.type = E1ActionTypes.BATCHFORM_REQUEST_FAIL;
        }
        return BatchformRequestFailedAction;
    }());
    E1Actions.BatchformRequestFailedAction = BatchformRequestFailedAction;
    var MoRequestAction = /** @class */ (function () {
        function MoRequestAction(payload) {
            this.payload = payload;
            this.type = E1ActionTypes.MO_REQUEST;
        }
        return MoRequestAction;
    }());
    E1Actions.MoRequestAction = MoRequestAction;
    var MoResponseAction = /** @class */ (function () {
        function MoResponseAction(payload) {
            this.payload = payload;
            this.type = E1ActionTypes.MO_RESPONSE;
        }
        return MoResponseAction;
    }());
    E1Actions.MoResponseAction = MoResponseAction;
    var MoRequestFailedAction = /** @class */ (function () {
        function MoRequestFailedAction(payload) {
            this.payload = payload;
            this.type = E1ActionTypes.MO_REQUEST_FAIL;
        }
        return MoRequestFailedAction;
    }());
    E1Actions.MoRequestFailedAction = MoRequestFailedAction;
    var ClearAction = /** @class */ (function () {
        function ClearAction(payload) {
            this.payload = payload;
            this.type = E1ActionTypes.CLEAR;
        }
        return ClearAction;
    }());
    E1Actions.ClearAction = ClearAction;
    var ResetAction = /** @class */ (function () {
        function ResetAction(payload) {
            this.payload = payload;
            this.type = E1ActionTypes.RESET;
        }
        return ResetAction;
    }());
    E1Actions.ResetAction = ResetAction;
})(E1Actions || (E1Actions = {}));
//# sourceMappingURL=actions.js.map