import { HttpHeaders } from '@angular/common/http';
import { initialServerState } from './store/state';
import { doNothing } from './func.helper';
var BaseService = /** @class */ (function () {
    function BaseService() {
        this._success = doNothing;
        this._error = doNothing;
        this._done = doNothing;
    }
    Object.defineProperty(BaseService.prototype, "defaultCallback", {
        get: function () {
            return {
                success: this._success,
                error: this._error,
                done: this._done
            };
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(BaseService.prototype, "success", {
        set: function (success) { this._success = success; },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(BaseService.prototype, "error", {
        set: function (error) { this._error = error; },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(BaseService.prototype, "done", {
        set: function (done) { this._done = done; },
        enumerable: true,
        configurable: true
    });
    ;
    BaseService.headers = new HttpHeaders({
        'Content-Type': 'application/json'
    });
    BaseService.baseUrl = '';
    BaseService.token = '';
    BaseService.deviceName = initialServerState.authRequest.deviceName;
    return BaseService;
}());
export { BaseService };
//# sourceMappingURL=base.service.js.map