import { HttpClient } from '@angular/common/http';
import { Store } from '@ngrx/store';
import { BaseService } from './base.service';
import { BatchformRequest } from './request';
import { IServiceCallback } from './func.helper';
export declare class BatchformService extends BaseService {
    private http;
    protected store: Store<any>;
    private batchformRequest;
    set request(batchformRequest: BatchformRequest);
    get request(): BatchformRequest;
    clear(): void;
    call(callback?: IServiceCallback): void;
    constructor(http: HttpClient, store: Store<any>);
}
