import { HttpClient } from '@angular/common/http';
import { Store } from '@ngrx/store';
import { BaseService } from './base.service';
import { DatabrowserRequest } from './request';
import { IServiceCallback } from './func.helper';
export declare class DatabrowserService extends BaseService {
    private http;
    protected store: Store<any>;
    private databrowserRequest;
    set request(databrowserRequest: DatabrowserRequest);
    clear(): void;
    call(callback?: IServiceCallback): void;
    constructor(http: HttpClient, store: Store<any>);
}
