import { HttpClient } from '@angular/common/http';
import { Store } from '@ngrx/store';
import { BaseService } from './base.service';
import { FormRequest } from './request';
import { IServiceCallback } from './func.helper';
export declare class FormService extends BaseService {
    private http;
    protected store: Store<any>;
    private formRequest;
    set request(formRequest: FormRequest);
    clear(): void;
    call(callback?: IServiceCallback): void;
    constructor(http: HttpClient, store: Store<any>);
}
