import { HttpClient } from '@angular/common/http';
import { Store } from '@ngrx/store';
import { BaseService } from './base.service';
import { MoRequest } from './request';
import { IServiceCallback } from './func.helper';
export declare class MoService extends BaseService {
    private http;
    protected store: Store<any>;
    private moRequest;
    clear(): void;
    set getTextRequest(request: MoRequest);
    set updateTextRequest(request: MoRequest);
    set listRequest(request: MoRequest);
    upload(moRequest: MoRequest, fileContent: Uint8Array): void;
    download(moRequest: MoRequest): XMLHttpRequest;
    call(callback?: IServiceCallback): void;
    constructor(http: HttpClient, store: Store<any>);
}
