import { HttpClient } from '@angular/common/http';
import { Store } from '@ngrx/store';
import { BaseService } from './base.service';
import { AuthRequest } from './request';
import { IServiceCallback } from './func.helper';
export declare class SignonService extends BaseService {
    private http;
    protected store: Store<any>;
    inCall: boolean;
    authRequest: AuthRequest;
    invalidateToken(): void;
    get hasToken(): boolean;
    set baseUrl(baseUrl: string);
    get baseUrl(): string;
    set deviceName(deviceName: string);
    get deviceName(): string;
    set requiredCapabilities(requiredCapabilities: string);
    get requiredCapabilities(): string;
    set username(username: string);
    get username(): string;
    set password(password: string);
    get password(): string;
    testUrl(baseUrl: string, callback?: IServiceCallback): void;
    authenticate(callback?: IServiceCallback): void;
    logout(): void;
    constructor(http: HttpClient, store: Store<any>);
}
